# Uses of Interface
org.eclipse.jdt.core.JavaCore.JavaCallable

Packages that use JavaCore.JavaCallable
Package
Description
org.eclipse.jdt.core
The Java model is the set of classes that model the objects associated with creating, editing, and building a Java program.

## Uses of JavaCore.JavaCallable in org.eclipse.jdt.core

Methods in org.eclipse.jdt.core with parameters of type JavaCore.JavaCallable
Modifier and Type
Method
Description
`static <T, E extends Exception>
T`
JavaCore.`callReadOnly(JavaCore.JavaCallable<T,E> callable)`
Calls the argument and returns its result or its Exception.